Bug 801679 - [audit-viewer] Traceback 'Index Error: list index out of range' when selecting 'Current Cell' submenu for Report of Audit Viewer.
[audit-viewer] Traceback 'Index Error: list index out of range' when selectin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audit-viewer (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Desktop, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 01:36 EST by Lijun Li
Modified: 2012-09-25 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[audit-viewer] Traceback 'Index Error: list index out of range' when selecting 'Current Cell' submenu for Report of Audit Viewer. (164.92 KB, image/png)
2012-03-09 01:38 EST, Lijun Li
no flags Details
backtrace file (584 bytes, text/plain)
2012-03-09 01:40 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-03-09 01:36:33 EST
Description of problem:
Traceback 'Index Error: list index out of range' when selecting 'Current Cell' submenu for Report of Audit Viewer.

Version-Release number of selected component (if applicable):
audit-viewer-0.7.3-1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora-17-Nightly-20120305.08-x86_64-Live-desktop.iso from 
http://alt.fedoraproject.org/pub/alt/nightly-composes/

2. Run command audit-viewer
* If not installed, As root run "yum install audit-viewer" 

3. Click 'Window -> New Report...' menu from the 'Audit Viewer' main window,
and click 'Data Filter' tab, check the 'Limit to events not earlier than:'
checkbox, change the date to the end of month(ex.03/31/2012) via clicking the
calendar next to 'Specific time' field, and click 'OK' on the 'Report * Properties' window.

4. Select 'View -> List Events for -> Current Cell/Current Row/Current Column' menu from the 'Audit Viewer' main window.

Actual results:
Traceback 'Index Error: list index out of range' when selecting 'Current Cell' submenu for Report of Audit Viewer.

Expected results:
Should have no traceback.

Additional info:
It's reproduced on en_US, and also reproduced on f16.
Comment 1 Lijun Li 2012-03-09 01:38:15 EST
Created attachment 568824 [details]
[audit-viewer] Traceback 'Index Error: list index out of range' when selecting 'Current Cell' submenu for Report of Audit Viewer.
Comment 2 Lijun Li 2012-03-09 01:40:07 EST
Created attachment 568825 [details]
backtrace file
Comment 3 Miloslav Trmač 2012-09-21 12:45:30 EDT
Thanks for your report.
Comment 4 Miloslav Trmač 2012-09-21 21:52:20 EDT
Fixed in f18 and rawhide audit-viewer-0.7.4-1.
Comment 5 Fedora Update System 2012-09-21 21:53:13 EDT
audit-viewer-0.7.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audit-viewer-0.7.4-1.fc18
Comment 6 Fedora Update System 2012-09-22 02:33:37 EDT
Package audit-viewer-0.7.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audit-viewer-0.7.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14572/audit-viewer-0.7.4-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-25 12:35:38 EDT
audit-viewer-0.7.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.